package com.qmth.teachcloud.mark.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.teachcloud.common.bean.dto.mark.manage.MarkManageDto;
import com.qmth.teachcloud.mark.entity.MarkTask;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * <p>
 * 评卷任务表 服务类
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
public interface MarkTaskService extends IService<MarkTask> {

    IPage<MarkManageDto> listPaperManage(Long examId, String courseCode, String paperNumber, Boolean progressStatus, Integer pageNumber, Integer pageSize);

    void exportMarker(Long examId, String courseCode, String paperNumber, HttpServletResponse response);

    List<MarkTask> listByExamIdAndPaperNumberAndGroupNumber(Long examId, String paperNumber, Integer groupNumber);

    Integer markedCount(List<MarkTask> groupNumberMarkTask);

    Integer waitArbitrateCount(List<MarkTask> groupNumberMarkTask);

    Double calcPercent(Integer markedCount, Integer taskCount);
}
